Package org.eclipse.emf.cdo.transfer

## Class CDOTransferSystem

- java.lang.Object
- - org.eclipse.emf.cdo.transfer.CDOTransferSystem

- Direct Known Subclasses:
    `FileSystemTransferSystem`, `RepositoryTransferSystem`, `WorkspaceTransferSystem`

      public abstract class CDOTransferSystem
      extends java.lang.Object

  An abstraction of an end point system of a `transfer`.

  It's used for example in `CDOTransfer.getSourceSystem()` and `CDOTransfer.getTargetSystem()`. The arguments of the map() methods in `CDOTransfer` are treated as `paths` relative to the source transfer system. The `targets` of the created mappings are determined by paths relative to the target transfer system.

  Since:
    4.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CDOTransferSystem​(boolean readOnly)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `createBinary​(IPath path, java.io.InputStream source, IProgressMonitor monitor)` |
    `abstract void` | `createFolder​(IPath path)` |
    `Resource` | `createModel​(ResourceSet resourceSet, IPath path)` |
    `abstract void` | `createText​(IPath path, java.io.InputStream source, java.lang.String encoding, IProgressMonitor monitor)` |
    `CDOTransferType` | `getDefaultTransferType​(CDOTransferElement element)` |
    `CDOTransferElement` | `getElement​(java.lang.String path)` |
    `abstract CDOTransferElement` | `getElement​(IPath path)` |
    `abstract CDOTransferElement` | `getElement​(URI uri)` |
    `abstract java.lang.String` | `getType()` |
    `abstract URI` | `getURI​(IPath path)` |
    `boolean` | `isReadOnly()` |
    `protected ResourceSet` | `provideResourceSet()` |
    `void` | `saveModels​(EList<Resource> resources, IProgressMonitor monitor)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOTransferSystem

          protected CDOTransferSystem​(boolean readOnly)

  - ### Method Detail

    - #### getType

          public abstract java.lang.String getType()

    - #### provideResourceSet

          protected ResourceSet provideResourceSet()

    - #### isReadOnly

          public boolean isReadOnly()

    - #### getDefaultTransferType

          public CDOTransferType getDefaultTransferType​(CDOTransferElement element)

    - #### getURI

          public abstract URI getURI​(IPath path)

    - #### getElement

          public CDOTransferElement getElement​(java.lang.String path)

    - #### getElement

          public abstract CDOTransferElement getElement​(IPath path)

    - #### getElement

          public abstract CDOTransferElement getElement​(URI uri)

    - #### createFolder

          public abstract void createFolder​(IPath path)

    - #### createModel

          public Resource createModel​(ResourceSet resourceSet,
                                      IPath path)

    - #### createBinary

          public abstract void createBinary​(IPath path,
                                            java.io.InputStream source,
                                            IProgressMonitor monitor)

    - #### createText

          public abstract void createText​(IPath path,
                                          java.io.InputStream source,
                                          java.lang.String encoding,
                                          IProgressMonitor monitor)

    - #### saveModels

          public void saveModels​(EList<Resource> resources,
                                 IProgressMonitor monitor)